#!/bin/sh
# PIL corpus , in domain, EN
# extraction of textual data of html files from the directory
# usage: pil.sh PIL-corpus-2.0/PIL/html > pil.txt
# (after untarring the original downloaded file PIL-corpus-2.0.tar.gz

path=$1
if [ -z "$path" ] ; then
  echo "Usage: pil.sh path-to-corpus" 1>&2
  exit 1
fi

for F in $1/*.html ; do
  lynx -dump $F | perl -pe "s/\n/XXXX/" | perl -pe "s/XXXX\s+/XXXX/g" | perl -pe "s/X{5,}/\n/g" | perl -pe "s/XXXX/ /g" | perl -pe "s/\s{2,}/ /g" |perl -pe "s/^ //"
done
